/*

  Full Color RGB SMD LED Module

  Parts required:
  - Arduino Board
  - Full Color RGB SMD LED Module
  - 220 Ohm Resistor

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jun 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int ledRedPin = 11;                                   // Digital Pin 11~
int ledGreenPin = 10;                                 // Digital Pin 10~
int ledBluePin = 9;                                   // Digital Pin 9~
int delayTimer = 5;                                   // Set delayTimer
int value;                                            // Set Value
                              

void setup() {

  pinMode(ledRedPin, OUTPUT);                         // Set ledRedPin as OUTPUT
  pinMode(ledGreenPin, OUTPUT);                       // Set ledGreenPin as OUTPUT
  pinMode(ledBluePin, OUTPUT);                        // Set ledBluePin as OUTPUT
}

void loop() {
  for(value = 255; value > 0; value--)                // Do 
  {
    analogWrite(ledRedPin, value);                    // Set ledRedPin til value       
    analogWrite(ledGreenPin, 255 - value);            // Set ledGreenPin til 255 - value 
    analogWrite(ledBluePin, 128 - value);             // Set ledBluePin til 128 - value 
    delay(delayTimer);                                // Delay for delayTimer Ms
  }
  for(value = 0; value < 255; value++)                // Do
  {
    analogWrite(ledRedPin, value);                    // Set ledRedPin til value 
    analogWrite(ledGreenPin, 255 - value);            // Set ledGreenPin til 255 - value
    analogWrite(ledBluePin, 128 - value);             // Set ledBluePin til 128 - value
    delay(delayTimer);                                // Delay for delayTimer Ms
  }
}
